DROP PROCEDURE ActualizaEstadoVentaCombustibleProc
GO
CREATE PROCEDURE ActualizaEstadoVentaCombustibleProc
(
	@ESTADO	bit
)
AS
BEGIN

	BEGIN TRAN

	UPDATE 	OP_SETUP
	SET	AUTOMATICSALES= @ESTADO

	IF(@@ERROR!=0 OR @@ROWCOUNT=0)
	BEGIN
		ROLLBACK	
		RAISERROR 20000 'Error Activando/Desactivando Venta Manual'
		RETURN(1)
	END 


	COMMIT TRAN
	RETURN(0)

END 



